.boton {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width: 150px;
    height: 40px;
    color: #FFFFFF;
    background-color: var(--rojo);
    border-radius: 20px;
    cursor: pointer;
    margin-top: 40px;
    margin-bottom: 40px;

}

.centrado {
    text-align: center;
}
.boton_icono {
    display: none;
}

.boton:hover {
    background: var(--rojo);
    color: #FFFFFF;
    transition: all .3s ease-in-out;
    width: 250px;
    .boton_icono {
        display: block;
    }
}


.mover {
    animation: fadeIn .3s ease-out;
}
@keyframes fadeIn {
    0% {
        opacity: 0;
        transform: translate(-700px);
    }

    50% {
        opacity: 0;
        transform: translate(-350px);
    }
    100% {
        opacity: 1;
        transform: translate(0px);
    }
}

.descarga {
    display: flex;
    justify-content:space-between;
    padding-left: 20px;
    padding-right: 20px;
    align-items: center;
    width: 400px;
    height: 40px;
    color: black;
    border: solid 1px var(--rojo);
    border-radius: 20px;
    cursor: pointer;

}

.descarga:hover {
    opacity: .8;
    color: black;
    transition: all .3s ease-in-out;
    background-color: var(--rojo);

    .boton_icono {
        display: block;
        transition: all .3s ease-in-out;
    }
}


/* FORMULARIO DE CONTACTO */

form {
    font-size: 1.2rem;
}
input {
    font-size: 1rem;
}
.campo {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    padding-bottom: 20px;
}

.etiqueta_input {
    width: 100px;
    text-align: left;
}
.campo_input {
    color: #CCCCCC;
    background-color: transparent;
    border: solid 1px #CCCCCC;
    width: 100%;
    height: 40px;
    border-radius: 20px;
    padding-left: 20px;
    margin-left: 20px;
    font-size: 1rem;
}
.campo_input:focus {
    background-color: var(--rojo);
    color: black;
}

@media only screen and (min-device-width:320px) and (max-device-width:1280px){
    /* Estilos para pantallas pequeñas en modo retrato */

    .campo_input {
        width: 70%;
    }
    .etiqueta_input {
        width: 200px;
        text-align: right;
    }
}

/* ELEMENTOS DE DESCARGA PÁGINA DATA SHEET  */

.contenedor_descarga {
    height: 310px;
    overflow-y: auto;
    scroll-behavior: smooth;  /* movimiento suave */
  
}

.imagen_datasheet {
    width: 200px;
}

.boton_descarga {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    width: 50%;
    min-width: 450px;
    min-height: 40px;
    height: auto;
    border: solid 1px #666666;
    border-radius: 20px;
    margin-bottom: 10px;
    padding-left: 20px;
    padding-right: 20px;
}



@media only screen and (min-device-width:320px) and (max-device-width:1280px) {
    /* Estilos para pantallas pequeñas en modo retrato */
    .boton_descarga {
        min-width: 320px;
    }
    .social {
        bottom: 120px;
    }
    

}



.icono_descarga {
    width: 70px;
    height: 30px;
    border: solid 1px #666666;
    border-radius: 15px;
    background-color: var(--rojo);
    text-align: center;
    cursor: pointer;
    display: none;
}

.icono_descarga:hover {
    opacity: 0.8;
    transition: all .3s ease-in-out;
}

.boton_descarga:hover {
    justify-content: space-between;
    border: solid 1px var(--rojo);
    color: var(--rojo);
    transition: all .3s ease-in-out;

    .icono_descarga {
        display: block;

    }

}

/* END ELEMENTOS DESCARGA DATA SHEET */



/* MAXIMIZAR Y MINIMIZAR  */

.maxim {
    position: fixed;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 10px;
    width: 80px;
    height: 30px;
    top: 20px;
    right: 60px;
    z-index: 290;
}
